# Generated from mohawk-1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name mohawk

Name: rubygem-%{gem_name}
Version: 1.0
Release: 1%{?dist}
Summary: Provides a page-object style driver for automating Windows applications
License: MIT
URL: http://github.com/leviwilson/mohawk
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(cucumber)
# BuildRequires: rubygem(rspec) = 3.5.0
# BuildRequires: rubygem(rspec-given)
# BuildRequires: rubygem(childprocess)
# BuildRequires: rubygem(rb-fsevent) >= 0.9.1
# BuildRequires: rubygem(rb-fsevent) < 0.10
# BuildRequires: rubygem(guard)
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(terminal-notifier-guard)
# BuildRequires: rubygem(json) >= 2.1
# BuildRequires: rubygem(json) < 3
BuildArch: noarch

%description
Mohawk is a page-object style driver that makes it easy to automate windows
applications. It allows you to create a very flexible, clean and natural DSL
around whatever windows application that you are trying to automate using the
RAutomation gem as the underlying driver.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# cucumber
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitmodules
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/Changelog
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/cucumber.yml
%{gem_instdir}/features
%{gem_instdir}/mohawk.gemspec
%{gem_instdir}/spec

%changelog
* Tue Jan 24 2023 mockbuilder - 1.0-1
- Initial package
